﻿using System;
using Infragistics;
using MonoTouch.UIKit;
using MonoTouch.Foundation;

namespace CustomDataSource_Xamarin
{
	public class MyCustomHeaderCellWithImageCell : IGGridViewHeaderCell
	{
		UIImageView _imageView;

		[Export("image")]
		public UIImage Image { 
			get
			{
				return _imageView.Image;
			}
			set{
				_imageView.Image = value;
			}
		}

		public MyCustomHeaderCellWithImageCell (string id) : base(id)
		{
			_imageView = new UIImageView ();
			this.AddSubview (_imageView);
		}
		public override void SetupSize (System.Drawing.SizeF size)
		{
			_imageView.Frame = new System.Drawing.RectangleF (0, 0, size.Width, size.Height);
		}
			
	}
}

